# azure.mgmt.logic.operations module

class `azure.mgmt.logic.operations.``WorkflowsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `create_or_update`(resource_group_name, workflow_name, workflow, custom_headers=None, raw=False, **operation_config)

    Creates or updates a workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - workflow (Workflow) – The workflow.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Workflow or ClientRawResponse if raw=true
    Return type: | Workflow or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, workflow_name, custom_headers=None, raw=False, **operation_config)

    Deletes a workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `disable`(resource_group_name, workflow_name, custom_headers=None, raw=False, **operation_config)

    Disables a workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `enable`(resource_group_name, workflow_name, custom_headers=None, raw=False, **operation_config)

    Enables a workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `generate_upgraded_definition`(resource_group_name, workflow_name, target_schema_version=None, custom_headers=None, raw=False, **operation_config)

    Generates the upgraded definition for a workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - target_schema_version (str) – The target schema version.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | object or ClientRawResponse if raw=true
    Return type: | object or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, workflow_name, custom_headers=None, raw=False, **operation_config)

    Gets a workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Workflow or ClientRawResponse if raw=true
    Return type: | Workflow or ClientRawResponse
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of workflows by resource group.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation. Options for filters include: State, Trigger, and ReferencedResourceId.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Workflow
    Return type: | WorkflowPaged[Workflow]
    Raises: | `CloudError`

  `list_by_subscription`(top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of workflows by subscription.

    Parameters:

    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation. Options for filters include: State, Trigger, and ReferencedResourceId.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Workflow
    Return type: | WorkflowPaged[Workflow]
    Raises: | `CloudError`

  `list_callback_url`(resource_group_name, workflow_name, not_after=None, key_type=None, custom_headers=None, raw=False, **operation_config)

    Get the workflow callback Url.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - not_after (datetime) – The expiry time.
    - key_type (str or KeyType) – The key type. Possible values include: ‘NotSpecified’, ‘Primary’, ‘Secondary’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowTriggerCallbackUrl or ClientRawResponse if raw=true
    Return type: | WorkflowTriggerCallbackUrl or ClientRawResponse
    Raises: | `CloudError`

  `list_swagger`(resource_group_name, workflow_name, custom_headers=None, raw=False, **operation_config)

    Gets an OpenAPI definition for the workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | object or ClientRawResponse if raw=true
    Return type: | object or ClientRawResponse
    Raises: | `CloudError`

  `move`(resource_group_name, workflow_name, move, custom_headers=None, raw=False, **operation_config)

    Moves an existing workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - move (Workflow) – The workflow to move.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `regenerate_access_key`(resource_group_name, workflow_name, key_type=None, custom_headers=None, raw=False, **operation_config)

    Regenerates the callback URL access key for request triggers.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - key_type (str or KeyType) – The key type. Possible values include: ‘NotSpecified’, ‘Primary’, ‘Secondary’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `update`(resource_group_name, workflow_name, workflow, custom_headers=None, raw=False, **operation_config)

    Updates a workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - workflow (Workflow) – The workflow.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Workflow or ClientRawResponse if raw=true
    Return type: | Workflow or ClientRawResponse
    Raises: | `CloudError`

  `validate_by_location`(resource_group_name, location, workflow_name, workflow, custom_headers=None, raw=False, **operation_config)

    Validates the workflow definition.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - location (str) – The workflow location.
    - workflow_name (str) – The workflow name.
    - workflow (Workflow) – The workflow definition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `validate_by_resource_group`(resource_group_name, workflow_name, validate, custom_headers=None, raw=False, **operation_config)

    Validates the workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - validate (Workflow) – The workflow.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``WorkflowVersionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowVersionsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `get`(resource_group_name, workflow_name, version_id, custom_headers=None, raw=False, **operation_config)

    Gets a workflow version.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - version_id (str) – The workflow versionId.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowVersion or ClientRawResponse if raw=true
    Return type: | WorkflowVersion or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, workflow_name, top=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of workflow versions.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - top (int) – The number of items to be included in the result.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of WorkflowVersion
    Return type: | WorkflowVersionPaged[WorkflowVersion]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``WorkflowTriggersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowTriggersOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `get`(resource_group_name, workflow_name, trigger_name, custom_headers=None, raw=False, **operation_config)

    Gets a workflow trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - trigger_name (str) – The workflow trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowTrigger or ClientRawResponse if raw=true
    Return type: | WorkflowTrigger or ClientRawResponse
    Raises: | `CloudError`

  `get_schema_json`(resource_group_name, workflow_name, trigger_name, custom_headers=None, raw=False, **operation_config)

    Get the trigger schema as JSON.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - trigger_name (str) – The workflow trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | JsonSchema or ClientRawResponse if raw=true
    Return type: | JsonSchema or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, workflow_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of workflow triggers.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of WorkflowTrigger
    Return type: | WorkflowTriggerPaged[WorkflowTrigger]
    Raises: | `CloudError`

  `list_callback_url`(resource_group_name, workflow_name, trigger_name, custom_headers=None, raw=False, **operation_config)

    Get the callback URL for a workflow trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - trigger_name (str) – The workflow trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowTriggerCallbackUrl or ClientRawResponse if raw=true
    Return type: | WorkflowTriggerCallbackUrl or ClientRawResponse
    Raises: | `CloudError`

  `reset`(resource_group_name, workflow_name, trigger_name, custom_headers=None, raw=False, **operation_config)

    Resets a workflow trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - trigger_name (str) – The workflow trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `run`(resource_group_name, workflow_name, trigger_name, custom_headers=None, raw=False, **operation_config)

    Runs a workflow trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - trigger_name (str) – The workflow trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | object or ClientRawResponse if raw=true
    Return type: | object or ClientRawResponse
    Raises: | `HttpOperationError`

  `set_state`(resource_group_name, workflow_name, trigger_name, source, custom_headers=None, raw=False, **operation_config)

    Sets the state of a workflow trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - trigger_name (str) – The workflow trigger name.
    - source (WorkflowTrigger) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``WorkflowVersionTriggersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowVersionTriggersOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `list_callback_url`(resource_group_name, workflow_name, version_id, trigger_name, not_after=None, key_type=None, custom_headers=None, raw=False, **operation_config)

    Get the callback url for a trigger of a workflow version.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - version_id (str) – The workflow versionId.
    - trigger_name (str) – The workflow trigger name.
    - not_after (datetime) – The expiry time.
    - key_type (str or KeyType) – The key type. Possible values include: ‘NotSpecified’, ‘Primary’, ‘Secondary’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowTriggerCallbackUrl or ClientRawResponse if raw=true
    Return type: | WorkflowTriggerCallbackUrl or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``WorkflowTriggerHistoriesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowTriggerHistoriesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `get`(resource_group_name, workflow_name, trigger_name, history_name, custom_headers=None, raw=False, **operation_config)

    Gets a workflow trigger history.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - trigger_name (str) – The workflow trigger name.
    - history_name (str) – The workflow trigger history name. Corresponds to the run name for triggers that resulted in a run.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowTriggerHistory or ClientRawResponse if raw=true
    Return type: | WorkflowTriggerHistory or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, workflow_name, trigger_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of workflow trigger histories.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - trigger_name (str) – The workflow trigger name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation. Options for filters include: Status, StartTime, and ClientTrackingId.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of WorkflowTriggerHistory
    Return type: | WorkflowTriggerHistoryPaged[WorkflowTriggerHistory]
    Raises: | `CloudError`

  `resubmit`(resource_group_name, workflow_name, trigger_name, history_name, custom_headers=None, raw=False, **operation_config)

    Resubmits a workflow run based on the trigger history.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - trigger_name (str) – The workflow trigger name.
    - history_name (str) – The workflow trigger history name. Corresponds to the run name for triggers that resulted in a run.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``WorkflowRunsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowRunsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `cancel`(resource_group_name, workflow_name, run_name, custom_headers=None, raw=False, **operation_config)

    Cancels a workflow run.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, workflow_name, run_name, custom_headers=None, raw=False, **operation_config)

    Gets a workflow run.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowRun or ClientRawResponse if raw=true
    Return type: | WorkflowRun or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, workflow_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of workflow runs.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation. Options for filters include: Status, StartTime, and ClientTrackingId.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of WorkflowRun
    Return type: | WorkflowRunPaged[WorkflowRun]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``WorkflowRunActionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowRunActionsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `get`(resource_group_name, workflow_name, run_name, action_name, custom_headers=None, raw=False, **operation_config)

    Gets a workflow run action.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - action_name (str) – The workflow action name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowRunAction or ClientRawResponse if raw=true
    Return type: | WorkflowRunAction or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, workflow_name, run_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of workflow run actions.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation. Options for filters include: Status.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of WorkflowRunAction
    Return type: | WorkflowRunActionPaged[WorkflowRunAction]
    Raises: | `CloudError`

  `list_expression_traces`(resource_group_name, workflow_name, run_name, action_name, custom_headers=None, raw=False, **operation_config)

    Lists a workflow run expression trace.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - action_name (str) – The workflow action name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ExpressionRoot
    Return type: | ExpressionRootPaged[ExpressionRoot]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``WorkflowRunActionRepetitionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowRunActionRepetitionsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `get`(resource_group_name, workflow_name, run_name, action_name, repetition_name, custom_headers=None, raw=False, **operation_config)

    Get a workflow run action repetition.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - action_name (str) – The workflow action name.
    - repetition_name (str) – The workflow repetition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowRunActionRepetitionDefinition or ClientRawResponse if raw=true
    Return type: | WorkflowRunActionRepetitionDefinition or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, workflow_name, run_name, action_name, custom_headers=None, raw=False, **operation_config)

    Get all of a workflow run action repetitions.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - action_name (str) – The workflow action name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of WorkflowRunActionRepetitionDefinition
    Return type: | WorkflowRunActionRepetitionDefinitionPaged[WorkflowRunActionRepetitionDefinition]
    Raises: | `CloudError`

  `list_expression_traces`(resource_group_name, workflow_name, run_name, action_name, repetition_name, custom_headers=None, raw=False, **operation_config)

    Lists a workflow run expression trace.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - action_name (str) – The workflow action name.
    - repetition_name (str) – The workflow repetition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ExpressionRoot
    Return type: | ExpressionRootPaged[ExpressionRoot]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``WorkflowRunActionRepetitionsRequestHistoriesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowRunActionRepetitionsRequestHistoriesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `get`(resource_group_name, workflow_name, run_name, action_name, repetition_name, request_history_name, custom_headers=None, raw=False, **operation_config)

    Gets a workflow run repetition request history.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - action_name (str) – The workflow action name.
    - repetition_name (str) – The workflow repetition.
    - request_history_name (str) – The request history name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RequestHistory or ClientRawResponse if raw=true
    Return type: | RequestHistory or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(resource_group_name, workflow_name, run_name, action_name, repetition_name, custom_headers=None, raw=False, **operation_config)

    List a workflow run repetition request history.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - action_name (str) – The workflow action name.
    - repetition_name (str) – The workflow repetition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of RequestHistory
    Return type: | RequestHistoryPaged[RequestHistory]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``WorkflowRunActionRequestHistoriesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowRunActionRequestHistoriesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `get`(resource_group_name, workflow_name, run_name, action_name, request_history_name, custom_headers=None, raw=False, **operation_config)

    Gets a workflow run request history.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - action_name (str) – The workflow action name.
    - request_history_name (str) – The request history name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RequestHistory or ClientRawResponse if raw=true
    Return type: | RequestHistory or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(resource_group_name, workflow_name, run_name, action_name, custom_headers=None, raw=False, **operation_config)

    List a workflow run request history.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - action_name (str) – The workflow action name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of RequestHistory
    Return type: | RequestHistoryPaged[RequestHistory]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``WorkflowRunActionScopeRepetitionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowRunActionScopeRepetitionsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `get`(resource_group_name, workflow_name, run_name, action_name, repetition_name, custom_headers=None, raw=False, **operation_config)

    Get a workflow run action scoped repetition.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - action_name (str) – The workflow action name.
    - repetition_name (str) – The workflow repetition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowRunActionRepetitionDefinition or ClientRawResponse if raw=true
    Return type: | WorkflowRunActionRepetitionDefinition or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, workflow_name, run_name, action_name, custom_headers=None, raw=False, **operation_config)

    List the workflow run action scoped repetitions.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - action_name (str) – The workflow action name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowRunActionRepetitionDefinitionCollection or ClientRawResponse if raw=true
    Return type: | WorkflowRunActionRepetitionDefinitionCollection or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``WorkflowRunOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowRunOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `get`(resource_group_name, workflow_name, run_name, operation_id, custom_headers=None, raw=False, **operation_config)

    Gets an operation for a run.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - operation_id (str) – The workflow operation id.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowRun or ClientRawResponse if raw=true
    Return type: | WorkflowRun or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``IntegrationAccountsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationAccountsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `create_or_update`(resource_group_name, integration_account_name, integration_account, custom_headers=None, raw=False, **operation_config)

    Creates or updates an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - integration_account (IntegrationAccount) – The integration account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccount or ClientRawResponse if raw=true
    Return type: | IntegrationAccount or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, integration_account_name, custom_headers=None, raw=False, **operation_config)

    Deletes an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, integration_account_name, custom_headers=None, raw=False, **operation_config)

    Gets an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccount or ClientRawResponse if raw=true
    Return type: | IntegrationAccount or ClientRawResponse
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, top=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of integration accounts by resource group.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - top (int) – The number of items to be included in the result.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of IntegrationAccount
    Return type: | IntegrationAccountPaged[IntegrationAccount]
    Raises: | `CloudError`

  `list_by_subscription`(top=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of integration accounts by subscription.

    Parameters:

    - top (int) – The number of items to be included in the result.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of IntegrationAccount
    Return type: | IntegrationAccountPaged[IntegrationAccount]
    Raises: | `CloudError`

  `list_callback_url`(resource_group_name, integration_account_name, not_after=None, key_type=None, custom_headers=None, raw=False, **operation_config)

    Gets the integration account callback URL.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - not_after (datetime) – The expiry time.
    - key_type (str or KeyType) – The key type. Possible values include: ‘NotSpecified’, ‘Primary’, ‘Secondary’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CallbackUrl or ClientRawResponse if raw=true
    Return type: | CallbackUrl or ClientRawResponse
    Raises: | `CloudError`

  `list_key_vault_keys`(resource_group_name, integration_account_name, key_vault, skip_token=None, custom_headers=None, raw=False, **operation_config)

    Gets the integration account’s Key Vault keys.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - key_vault (KeyVaultReference) – The key vault reference.
    - skip_token (str) – The skip token.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of KeyVaultKey
    Return type: | KeyVaultKeyPaged[KeyVaultKey]
    Raises: | `CloudError`

  `log_tracking_events`(resource_group_name, integration_account_name, log_tracking_events, custom_headers=None, raw=False, **operation_config)

    Logs the integration account’s tracking events.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - log_tracking_events (TrackingEventsDefinition) – The callback URL parameters.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `regenerate_access_key`(resource_group_name, integration_account_name, key_type=None, custom_headers=None, raw=False, **operation_config)

    Regenerates the integration account access key.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - key_type (str or KeyType) – The key type. Possible values include: ‘NotSpecified’, ‘Primary’, ‘Secondary’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccount or ClientRawResponse if raw=true
    Return type: | IntegrationAccount or ClientRawResponse
    Raises: | `CloudError`

  `update`(resource_group_name, integration_account_name, integration_account, custom_headers=None, raw=False, **operation_config)

    Updates an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - integration_account (IntegrationAccount) – The integration account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccount or ClientRawResponse if raw=true
    Return type: | IntegrationAccount or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``IntegrationAccountAssembliesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationAccountAssembliesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `create_or_update`(resource_group_name, integration_account_name, assembly_artifact_name, assembly_artifact, custom_headers=None, raw=False, **operation_config)

    Create or update an assembly for an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - assembly_artifact_name (str) – The assembly artifact name.
    - assembly_artifact (AssemblyDefinition) – The assembly artifact.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AssemblyDefinition or ClientRawResponse if raw=true
    Return type: | AssemblyDefinition or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, integration_account_name, assembly_artifact_name, custom_headers=None, raw=False, **operation_config)

    Delete an assembly for an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - assembly_artifact_name (str) – The assembly artifact name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, integration_account_name, assembly_artifact_name, custom_headers=None, raw=False, **operation_config)

    Get an assembly for an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - assembly_artifact_name (str) – The assembly artifact name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AssemblyDefinition or ClientRawResponse if raw=true
    Return type: | AssemblyDefinition or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, integration_account_name, custom_headers=None, raw=False, **operation_config)

    List the assemblies for an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AssemblyDefinition
    Return type: | AssemblyDefinitionPaged[AssemblyDefinition]
    Raises: | `CloudError`

  `list_content_callback_url`(resource_group_name, integration_account_name, assembly_artifact_name, custom_headers=None, raw=False, **operation_config)

    Get the content callback url for an integration account assembly.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - assembly_artifact_name (str) – The assembly artifact name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowTriggerCallbackUrl or ClientRawResponse if raw=true
    Return type: | WorkflowTriggerCallbackUrl or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``IntegrationAccountBatchConfigurationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationAccountBatchConfigurationsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `create_or_update`(resource_group_name, integration_account_name, batch_configuration_name, batch_configuration, custom_headers=None, raw=False, **operation_config)

    Create or update a batch configuration for an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - batch_configuration_name (str) – The batch configuration name.
    - batch_configuration (BatchConfiguration) – The batch configuration.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | BatchConfiguration or ClientRawResponse if raw=true
    Return type: | BatchConfiguration or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, integration_account_name, batch_configuration_name, custom_headers=None, raw=False, **operation_config)

    Delete a batch configuration for an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - batch_configuration_name (str) – The batch configuration name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, integration_account_name, batch_configuration_name, custom_headers=None, raw=False, **operation_config)

    Get a batch configuration for an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - batch_configuration_name (str) – The batch configuration name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | BatchConfiguration or ClientRawResponse if raw=true
    Return type: | BatchConfiguration or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, integration_account_name, custom_headers=None, raw=False, **operation_config)

    List the batch configurations for an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of BatchConfiguration
    Return type: | BatchConfigurationPaged[BatchConfiguration]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``IntegrationAccountSchemasOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationAccountSchemasOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `create_or_update`(resource_group_name, integration_account_name, schema_name, schema, custom_headers=None, raw=False, **operation_config)

    Creates or updates an integration account schema.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - schema_name (str) – The integration account schema name.
    - schema (IntegrationAccountSchema) – The integration account schema.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccountSchema or ClientRawResponse if raw=true
    Return type: | IntegrationAccountSchema or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, integration_account_name, schema_name, custom_headers=None, raw=False, **operation_config)

    Deletes an integration account schema.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - schema_name (str) – The integration account schema name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, integration_account_name, schema_name, custom_headers=None, raw=False, **operation_config)

    Gets an integration account schema.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - schema_name (str) – The integration account schema name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccountSchema or ClientRawResponse if raw=true
    Return type: | IntegrationAccountSchema or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, integration_account_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of integration account schemas.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation. Options for filters include: SchemaType.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of IntegrationAccountSchema
    Return type: | IntegrationAccountSchemaPaged[IntegrationAccountSchema]
    Raises: | `CloudError`

  `list_content_callback_url`(resource_group_name, integration_account_name, schema_name, not_after=None, key_type=None, custom_headers=None, raw=False, **operation_config)

    Get the content callback url.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - schema_name (str) – The integration account schema name.
    - not_after (datetime) – The expiry time.
    - key_type (str or KeyType) – The key type. Possible values include: ‘NotSpecified’, ‘Primary’, ‘Secondary’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowTriggerCallbackUrl or ClientRawResponse if raw=true
    Return type: | WorkflowTriggerCallbackUrl or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``IntegrationAccountMapsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationAccountMapsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `create_or_update`(resource_group_name, integration_account_name, map_name, map, custom_headers=None, raw=False, **operation_config)

    Creates or updates an integration account map.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - map_name (str) – The integration account map name.
    - map (IntegrationAccountMap) – The integration account map.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccountMap or ClientRawResponse if raw=true
    Return type: | IntegrationAccountMap or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, integration_account_name, map_name, custom_headers=None, raw=False, **operation_config)

    Deletes an integration account map.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - map_name (str) – The integration account map name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, integration_account_name, map_name, custom_headers=None, raw=False, **operation_config)

    Gets an integration account map.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - map_name (str) – The integration account map name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccountMap or ClientRawResponse if raw=true
    Return type: | IntegrationAccountMap or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, integration_account_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of integration account maps.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation. Options for filters include: MapType.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of IntegrationAccountMap
    Return type: | IntegrationAccountMapPaged[IntegrationAccountMap]
    Raises: | `CloudError`

  `list_content_callback_url`(resource_group_name, integration_account_name, map_name, not_after=None, key_type=None, custom_headers=None, raw=False, **operation_config)

    Get the content callback url.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - map_name (str) – The integration account map name.
    - not_after (datetime) – The expiry time.
    - key_type (str or KeyType) – The key type. Possible values include: ‘NotSpecified’, ‘Primary’, ‘Secondary’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowTriggerCallbackUrl or ClientRawResponse if raw=true
    Return type: | WorkflowTriggerCallbackUrl or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``IntegrationAccountPartnersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationAccountPartnersOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `create_or_update`(resource_group_name, integration_account_name, partner_name, partner, custom_headers=None, raw=False, **operation_config)

    Creates or updates an integration account partner.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - partner_name (str) – The integration account partner name.
    - partner (IntegrationAccountPartner) – The integration account partner.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccountPartner or ClientRawResponse if raw=true
    Return type: | IntegrationAccountPartner or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, integration_account_name, partner_name, custom_headers=None, raw=False, **operation_config)

    Deletes an integration account partner.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - partner_name (str) – The integration account partner name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, integration_account_name, partner_name, custom_headers=None, raw=False, **operation_config)

    Gets an integration account partner.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - partner_name (str) – The integration account partner name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccountPartner or ClientRawResponse if raw=true
    Return type: | IntegrationAccountPartner or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, integration_account_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of integration account partners.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation. Options for filters include: PartnerType.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of IntegrationAccountPartner
    Return type: | IntegrationAccountPartnerPaged[IntegrationAccountPartner]
    Raises: | `CloudError`

  `list_content_callback_url`(resource_group_name, integration_account_name, partner_name, not_after=None, key_type=None, custom_headers=None, raw=False, **operation_config)

    Get the content callback url.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - partner_name (str) – The integration account partner name.
    - not_after (datetime) – The expiry time.
    - key_type (str or KeyType) – The key type. Possible values include: ‘NotSpecified’, ‘Primary’, ‘Secondary’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowTriggerCallbackUrl or ClientRawResponse if raw=true
    Return type: | WorkflowTriggerCallbackUrl or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``IntegrationAccountAgreementsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationAccountAgreementsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `create_or_update`(resource_group_name, integration_account_name, agreement_name, agreement, custom_headers=None, raw=False, **operation_config)

    Creates or updates an integration account agreement.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - agreement_name (str) – The integration account agreement name.
    - agreement (IntegrationAccountAgreement) – The integration account agreement.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccountAgreement or ClientRawResponse if raw=true
    Return type: | IntegrationAccountAgreement or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, integration_account_name, agreement_name, custom_headers=None, raw=False, **operation_config)

    Deletes an integration account agreement.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - agreement_name (str) – The integration account agreement name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, integration_account_name, agreement_name, custom_headers=None, raw=False, **operation_config)

    Gets an integration account agreement.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - agreement_name (str) – The integration account agreement name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccountAgreement or ClientRawResponse if raw=true
    Return type: | IntegrationAccountAgreement or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, integration_account_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of integration account agreements.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation. Options for filters include: AgreementType.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of IntegrationAccountAgreement
    Return type: | IntegrationAccountAgreementPaged[IntegrationAccountAgreement]
    Raises: | `CloudError`

  `list_content_callback_url`(resource_group_name, integration_account_name, agreement_name, not_after=None, key_type=None, custom_headers=None, raw=False, **operation_config)

    Get the content callback url.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - agreement_name (str) – The integration account agreement name.
    - not_after (datetime) – The expiry time.
    - key_type (str or KeyType) – The key type. Possible values include: ‘NotSpecified’, ‘Primary’, ‘Secondary’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkflowTriggerCallbackUrl or ClientRawResponse if raw=true
    Return type: | WorkflowTriggerCallbackUrl or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``IntegrationAccountCertificatesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationAccountCertificatesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `create_or_update`(resource_group_name, integration_account_name, certificate_name, certificate, custom_headers=None, raw=False, **operation_config)

    Creates or updates an integration account certificate.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - certificate_name (str) – The integration account certificate name.
    - certificate (IntegrationAccountCertificate) – The integration account certificate.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccountCertificate or ClientRawResponse if raw=true
    Return type: | IntegrationAccountCertificate or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, integration_account_name, certificate_name, custom_headers=None, raw=False, **operation_config)

    Deletes an integration account certificate.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - certificate_name (str) – The integration account certificate name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, integration_account_name, certificate_name, custom_headers=None, raw=False, **operation_config)

    Gets an integration account certificate.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - certificate_name (str) – The integration account certificate name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccountCertificate or ClientRawResponse if raw=true
    Return type: | IntegrationAccountCertificate or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, integration_account_name, top=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of integration account certificates.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - top (int) – The number of items to be included in the result.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of IntegrationAccountCertificate
    Return type: | IntegrationAccountCertificatePaged[IntegrationAccountCertificate]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``IntegrationAccountSessionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationAccountSessionsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `create_or_update`(resource_group_name, integration_account_name, session_name, session, custom_headers=None, raw=False, **operation_config)

    Creates or updates an integration account session.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - session_name (str) – The integration account session name.
    - session (IntegrationAccountSession) – The integration account session.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccountSession or ClientRawResponse if raw=true
    Return type: | IntegrationAccountSession or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, integration_account_name, session_name, custom_headers=None, raw=False, **operation_config)

    Deletes an integration account session.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - session_name (str) – The integration account session name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, integration_account_name, session_name, custom_headers=None, raw=False, **operation_config)

    Gets an integration account session.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - session_name (str) – The integration account session name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationAccountSession or ClientRawResponse if raw=true
    Return type: | IntegrationAccountSession or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, integration_account_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of integration account sessions.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation. Options for filters include: ChangedTime.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of IntegrationAccountSession
    Return type: | IntegrationAccountSessionPaged[IntegrationAccountSession]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>

class `azure.mgmt.logic.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-07-01-preview”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available Logic REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.logic.models' from '/usr/lib/python3/dist-packages/azure/mgmt/logic/models/__init__.py'>